New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

plugins/linux/virtualization: lxc contains a check for a binary that does not exist upstream #488

Closed
cburroughs opened this Issue Feb 17, 2015 · 2 comments

Comments

Projects
None yet
4 participants
@cburroughs

cburroughs commented Feb 17, 2015

https://github.com/chef/ohai/blob/master/lib/ohai/plugins/linux/virtualization.rb#L26

There is no lxc-version binary part of the stable/LTS 1.0.x series of lxc releases. It may have existed as part of older (0.8.0) releases.

@btm

This comment has been minimized.

Show comment
Hide comment
@btm

btm Feb 17, 2015

Member

Looking at LP #1273689, it looks like lxc-start --version is a good alternative for 1.0.0, but notably didn't exist previously so you have to try both.

Member

btm commented Feb 17, 2015

Looking at LP #1273689, it looks like lxc-start --version is a good alternative for 1.0.0, but notably didn't exist previously so you have to try both.

@thommay thommay added this to the Accepted Minor milestone Dec 2, 2015

@thommay thommay added the Bug label Dec 2, 2015

@thommay thommay added Type: Bug and removed Bug labels Jan 24, 2017

@tas50

This comment has been minimized.

Show comment
Hide comment
@tas50

tas50 Jan 30, 2018

Member

Closing this out since it looks like we fixed in Oct.

Member

tas50 commented Jan 30, 2018

Closing this out since it looks like we fixed in Oct.

@tas50 tas50 closed this Jan 30, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment